- Home
- Resources
- Drawing API
Abstract class for REST webservices
PUT /redlineentity
Update redline entities (redline shape) parameters
request must also contains json array of objects with xml snippets and
params to be updated
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of update operations |
PUT /vectorentity
Update vector entities (vector shape) parameters
request must also contains json array of objects with xml snippets and
params to be updated
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of update operations |
POST /drawing/links4spots
Get list of links for given entities
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with list of objects linked to entities Example of response:
{"linkedObjects":[{"classId":"11","objectId":"270841","objectName":"Property1"}],"entityId":"110029","sequence":0}
|
GET /raster/{rasterFileId}
Download raster
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| rasterFileId |
path |
Raster file id |
|
long |
| downloadMode |
query |
downloadMode of Raster(default 0) 0 - ONLY_RASTER, 1 - ONLY_TAF, 2 - RASTER_WITH_TAF |
0 |
int |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
file with raster content |
POST /raster/{rasterFileId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| rasterFileId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
POST /redlineentity/delete
Remove redline entities
Example of request:
{"list":[{"entityId":"389540"}, {"entityId":"389541"}]}
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information about operation's result
{list: [{entityId: "54388", success: true}, {entityId: "54394", success: true]} |
PUT /redlinenote/text
Edit post it notes' description
Try it out!
Request Body
| media type |
data type |
description |
| application/json |
HdcPostItNoteModelTO
(JSON) |
json with note Id and description |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the removing has or has not
been succeeded. |
GET /redlinenotecontent/{fileId}
Get binary representation of given file
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| Range |
header |
|
|
|
| fileId |
path |
The unique identifier of file |
|
long |
| download |
query |
Boolean parameter. If set true returned binary
representation will be prepared to save. |
|
boolean |
Response Body
| media type |
data type |
description |
| application/zip |
object
|
Binary representation of file |
| image/* |
object
|
POST /redlinenotecontent/{fileId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| fileId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
PUT /requestnote/text
Edit post it notes' description
Try it out!
Request Body
| media type |
data type |
description |
| application/json |
HdcPostItNoteModelTO
(JSON) |
json with note Id and description |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the removing has or has not
been succeeded. |
GET /requestnotecontent/{fileId}
Get binary representation of given file
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| Range |
header |
|
|
|
| fileId |
path |
The unique identifier of file |
|
long |
| download |
query |
Boolean parameter. If set true returned binary
representation will be prepared to save. |
|
boolean |
Response Body
| media type |
data type |
description |
| application/zip |
object
|
Binary representation of file |
| image/* |
object
|
POST /requestnotecontent/{fileId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| fileId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
POST /vectorentity/delete
Remove vector entities
Example of request:
{"list":[{"entityId":"389540"}, {"entityId":"389541"}]}
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information about operation's result
{list: [{entityId: "54388", success: true}, {entityId: "54394", success: true}]} |
GET /drawing/links/{entityId}
Get list of links for given entity
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| entityId |
path |
Id of entity |
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcSpotLinksListTO
(JSON) |
JSON with list of layers on given vector drawingobjects linked to
entity Example of response:
{"linkedObjects":[{"classId":"11","objectId":"270841","objectName":"Property1","isDefault":false}],"entityId":"110029","sequence":0}
|
GET /drawing/print/batch
This method has been deprecated.
Get printouts in batch mode.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentIds |
query |
semicolon-separated list of pairs: composite drawing
contentId and content type value separated by comma (allowed
types: 2-drawing; 1-attchment); e.g. 300,2; 347,2; 301,2; 8747,1;
10118,1; after encoding:
300%2C+2%3B+347%2C+2%3B+301%2C+2%3B+8747%2C+1%3B+10118%2C+1%3B |
|
|
| filterIds |
query |
comma-separated list of filter identifiers; e.g. 1, 2
after encoding: 1%2C+2 |
|
|
| forceBatchPrintTemplateId |
query |
boolean flag that forces utilization of template Id set in batch print settings |
|
boolean |
| labelingId |
query |
labeling identifier used to print details defined in this labeling |
|
long |
| legendTemplId |
query |
template used to print legend in the separate page in
the case it is to long to fit in legend window on regular
prrintout |
|
long |
| onlyBackground |
query |
boolean flag that allows to print only background of document, t.m. no layers visible |
|
boolean |
| presentationId |
query |
Presentation id for printout |
|
long |
| selectedSpots |
query |
|
|
|
| sortFiltersCode |
query |
defines the way of sorting filters in colegend: 0 -
labels ascending (default), 1 - labels descending, 2 - areas
ascending, 3 - areas descending, 4 - counts ascending, 5 - counts
descending |
|
int |
| templateId |
query |
Template id for printout, if not defined server uses
default template, if it doesn't exist it builds template from
defaults |
|
long |
POST /drawing/print/batch
Get printouts in batch mode.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| filterIds |
query |
comma-separated list of filter identifiers; e.g. 1, 2
after encoding: 1%2C+2 |
|
|
| forceBatchPrintTemplateId |
query |
boolean flag that forces utilization of template Id set in batch print settings |
|
boolean |
| labelingId |
query |
labeling identifier used to print details defined in this labeling |
|
long |
| legendTemplId |
query |
template used to print legend in the separate page in
the case it is to long to fit in legend window on regular
prrintout |
|
long |
| onlyBackground |
query |
boolean flag that allows to print only background of document, t.m. no layers visible |
|
boolean |
| presentationId |
query |
Presentation id for printout |
|
long |
| selectedSpots |
query |
|
|
|
| sortFiltersCode |
query |
defines the way of sorting filters in legend: 0 -
labels ascending (default), 1 - labels descending, 2 - areas
ascending, 3 - areas descending, 4 - counts ascending, 5 - counts
descending |
|
int |
| templateId |
query |
Template id for printout, if not defined server uses
default template, if it doesn't exist it builds template from
defaults |
|
long |
Request Body
| media type |
data type |
description |
| application/json |
BatchPrintParamsTO
(JSON) |
json representation of contentId+contentType pairs |
GET /drawing/print/{contentId}
Get quick PDF printout of specified drawing.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
ID of composite drawing |
|
long |
| contextObjects |
query |
semicolon-separated list of pairs: context object
class identifier and context object identifier (HDID); e.g.
107,53188; 116,3287; after encoding:
107%2C+53188%3B+116%2C+53287%3B |
|
|
| crId |
query |
ID of change request |
|
long |
| filterIds |
query |
comma-separated list of filter identifiers; e.g. 1, 2
after encoding: 1%2C+2 |
|
|
| filteredSelectionCriteria |
query |
list of criteria for objects including perspective ID, child class ID ond list of parent
objects with object ID and class ID and HDQ filter to be applied to printout |
|
|
| hiddenLayers |
query |
comma-separated list of hidden layers identifiers for
each vector drawing |
|
|
| labelingId |
query |
labeling identifier used to print details define in this labeling
Example of json string with hidden layers:
Example of json:
[{ "drawingId": "213", "layers": ["720", "2", "3", "4", "494"]}, {"drawingId": "888", "layers": ["2", "3", "4", "494"]}]
|
|
long |
| legendTemplId |
query |
template used to print legend in the separate page in
the case it is to long to fit in legend window on regular
prrintout |
|
long |
| presentationId |
query |
Presentation id for printout |
|
long |
| printNotes |
query |
|
|
boolean |
| psetId |
query |
viewer perspective set id |
|
long |
| selectedSpots |
query |
|
|
|
| showPresentationLabels |
query |
|
0 |
long |
| showPresentationNumbers |
query |
|
0 |
long |
| sortFiltersCode |
query |
defines the way of sorting filters in legend: 0 -
labels ascending (default), 1 - labels descending, 2 - areas
ascending, 3 - areas descending, 4 - counts ascending, 5 - counts
descending |
|
int |
| templateId |
query |
Template id for printout, if not defined server uses
default template, if it doesn't exist it builds template from
defaults |
|
long |
| temporarySymbols |
query |
|
|
|
POST /drawing/printmulti/{templateId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| templateId |
path |
|
|
long |
| contextObjects |
query |
|
|
|
| crId |
query |
|
|
long |
| filteredSelectionCriteria |
query |
|
|
|
| labelingId |
query |
|
|
long |
| orientation |
query |
|
|
|
| outFormat |
query |
|
pdf |
|
| papersize |
query |
|
|
long |
| psetId |
query |
|
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/pdf |
object
|
|
DELETE /drawing/{classId}/{objectId}
Delete composite drawing attached to specified object
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| classId |
path |
class ID of target object |
|
long |
| objectId |
path |
object ID of target object |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON with information about operation's result |
POST /drawing/{classId}/{objectId}
Creates empty composite drawing and attaches it to specified object
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| classId |
path |
class ID of target object |
|
long |
| objectId |
path |
object ID of target object |
|
long |
| units |
query |
code of composite drawing - optional |
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information about operation's result |
POST /entity/link/{entityId}
Links objects to entity
Example of request:
[{objectId: 123, classId: 12}, {objectId: 124, classId: 12}]
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| entityId |
path |
The unique identifier of vector entity. |
|
|
Request Body
| media type |
data type |
description |
| application/json |
string
(JSON) |
Array with destination objects |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON Response with the information, whether operation has been
succeeded. |
GET /map/datasources/json
Get list of available map datasources
Try it out!
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with list of map datasources |
POST /map/json/{compositeId}
Create new map drawing under composite drawing
Example of request:
{"mapdatasourceid":${MapSource_ID},"objectName":"Map drawing","xMin":-20037508.34,"yMin":-20037508.34,"xMax":20037508.34,"yMax":20037508.34,"srid":"3857"}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| compositeId |
path |
- composite drawing id |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON information on the success of creation of map drawing |
PUT /map/json/{mapDrawingId}
Edit map drawing under composite drawing
Example of request:
{"name":"Map drawing","xMin":-20037508.34,"yMin":-20037508.34,"xMax":20037508.34,"yMax":20037508.34,"srid":"3857","units":"4"}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| mapDrawingId |
path |
- ID of map drawing |
|
long |
Request Body
| media type |
data type |
description |
| application/json |
HdcMapDrawingTO
(JSON) |
HdcMapDrawingTO |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON information on the success of editing of map drawing |
DELETE /map/{viewportId}/{mapDrawingId}
Delete map from drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| mapDrawingId |
path |
Map drawing id |
|
long |
| viewportId |
path |
Viewport id |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON with information about operation's result |
POST /raster/upload/{contentId}
Upload raster drawing and attach to composite drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
Composite drawing id |
|
long |
Request Body
| media type |
data type |
| multipart/form-data |
(custom)
|
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessWithRasterTO
(JSON) |
JSON with information about operation's result |
DELETE /raster/{contentId}/{rasterFileId}
Detach raster drawing from composite drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
Viewport id |
|
long |
| rasterFileId |
path |
Raster file id |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON with information about operation's result |
PUT /rasterparameters/json/{rasterFileId}
Update raster drawing attributes
Example of request:
{"yInsertionPoint":"12"}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| rasterFileId |
path |
Raster file id |
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information about operation's result |
PUT /rasterparameters/upload/{rasterFileId}
Import raster attributes from TAF_EXT file
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| rasterFileId |
path |
Raster file id |
|
long |
Request Body
| media type |
data type |
| multipart/form-data |
(custom)
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information about operation's result |
POST /redline/json/{compositeId}
Create new redline drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| compositeId |
path |
composite drawing id |
|
long |
| units |
query |
desired vector drawing units - optional |
|
|
| vPortName |
query |
name of the viewport to put redline drawing |
|
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON information on the success of create redline drawing |
DELETE /redline/layer/{layerId}
Delete redline layer.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
ID of redline layer to be deleted |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the deletion has or has not
been succeeded. |
PUT /redline/layer/{layerId}
Update redline layer toolset.
Example of request:
{"objectName":"BTA","metadata":{"layerStyle":"fill:none;stroke:#0000FF;stroke-width:0.03"}}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
ID of layer to be updated |
|
long |
Request Body
| media type |
data type |
description |
| application/json |
HdcVectorLayerTO
(JSON) |
The specification of layer that has to be updated. |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the updating has or has not
been succeeded. |
POST /redline/layer/{vectorDrawingId}
Add redline layer.
Example of request:
{"layerName":"local_layer","toolset":{"id":null,"layerName":null,"zIndex":0,"style":{"stroke":"","stroke-width":"1","stroke-opacity":1,"fill":"","fill-opacity":1}}}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorDrawingId |
path |
ID of vector drawing to whom layer will be added. |
|
long |
Request Body
| media type |
data type |
description |
| application/json |
HdcVectorLayerTO
(JSON) |
The specification of layer that has to be added. |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON Response with information, whether the adding has or has not
been succeeded. |
POST /redlineentity/add/{vectorId}
Add redline entities with its links to redline
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorId |
path |
- id of vector drawing to which entity is attached
Example of request:
* {"list":[{"snippet":"", "entityId":1,"linkedObjects":[{"classId":"108","classLabel":"Rum","objectId":"5214","isDefault":false,"securityMask":"71"}],"entityType":1,"layerId":"${LayerID}"}]}
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of insertions |
PUT /redlineentity/order/{vectorId}
Update entities order
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorId |
path |
- id of redline drawing in which entities are to be rearranged
request must also contains json array of objects with xml snippets to be ordered
and flag toBottom showing direction of rearrangement
Example of request:
{"list":[{"snippet":"","entityId":1,"layerId":"${LayerID}"}],"toBottom":true}
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of ordering |
PUT /redlineentity/owner/{userId}
Update vector entities (vector shape) parameters
request must also contains json array of objects with xml snippets and
params to be updated
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| userId |
path |
|
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of update operations |
GET /redlinenote/details/{postItNoteId}
Get post it notes' attached files
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| postItNoteId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON Response with note description and note file info
Example of response:
{"description":"test","list":[{"fileModel":{"fileId":123,"md5":"fd02cbfe535360f911fe16","size":16376,"mimeType":"image/jpeg","fileName":"test.jpg","originalId":0},"fileState":{"id":123,"versionId":1,"derivedId":1236,"state":"CONVERTED"}}]}
|
GET /redlinenotecontent/dziinfo/{fileId}
Get dzi info of given file
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| fileId |
path |
The unique identifier of file |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcTileTO
(JSON) |
JSON Response with tile information
Example of response:
{format: "png", overlap: 1, tileSize: 1024, width: 99213, height: 70157}
|
POST /redlinenotecontent/upload/{noteId}
Upload files and attach it to given post it note
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| noteId |
path |
The unique identifier of postit note. |
|
|
Request Body
| media type |
data type |
| multipart/form-data |
(custom)
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON Response with information, whether the upload has or has not
been succeeded. |
DELETE /redlinenotecontent/{noteId}/{fileId}
Remove binary file from specified post it note entity.
* @param layerId The unique identifier of redline layer.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| fileId |
path |
The unique identifier of file. |
|
long |
| noteId |
path |
The unique identifier of post it note entity. |
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the removing has or has not
been succeeded. |
GET /requestnote/details/{postItNoteId}
Get post it notes' attached files
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| postItNoteId |
path |
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON Response with note description and note file info
Example of response:
{"description":"test","list":[{"fileModel":{"fileId":123,"md5":"fd02cbfe535360f911fe16","size":16376,"mimeType":"image/jpeg","fileName":"test.jpg","originalId":0},"fileState":{"id":123,"versionId":1,"derivedId":1236,"state":"CONVERTED"}}]}
|
GET /requestnotecontent/dziinfo/{fileId}
Get dzi info of given file
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| fileId |
path |
The unique identifier of file |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcTileTO
(JSON) |
JSON Response with tile information
Example of response:
{format: "png", overlap: 1, tileSize: 1024, width: 99213, height: 70157}
|
POST /requestnotecontent/upload/{noteId}
Upload files and attach it to given post it note
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| noteId |
path |
The unique identifier of postit note. |
|
|
| requestId |
path |
|
|
|
Request Body
| media type |
data type |
| multipart/form-data |
(custom)
|
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON Response with information, whether the upload has or has not
been succeeded. |
DELETE /requestnotecontent/{noteId}/{fileId}
Remove binary file from specified post it note entity.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| fileId |
path |
The unique identifier of file. |
|
long |
| noteId |
path |
The unique identifier of post it note entity. |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the removing has or has not
been succeeded. |
POST /vector/json/{compositeId}
Create new vector drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| compositeId |
path |
composite drawing id |
|
long |
| units |
query |
desired vector drawing units - optional |
|
|
| vPortName |
query |
name of the viewport to put vector drawing |
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcContentIdModelTO
(JSON) |
JSON information on the success of create vector drawing |
DELETE /vector/{viewportId}/{vectorFileId}
Delete vector from drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorFileId |
path |
Vector file id |
|
long |
| viewportId |
path |
Viewport id |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON with information about operation's result |
POST /vectorentity/add/{vectorId}
Create new vector entities to be attached to vector drawing (with additional spot links)
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorId |
path |
- id of vector drawing to which entity is attached
Example of request:
{"list":[{"snippet":"","entityId":1,"linkedObjects":[{"classId":"108","classLabel":"Rum","objectId":"5214","isDefault":false,"securityMask":"71"}],"layerId":"${LayerID}"}]}
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of insertions |
POST /vectorentity/import/{vectorId}
Import vector entities from uploaded SVG drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorId |
path |
- id of vector drawing to which entities are to be imported |
|
long |
| domainId |
query |
- id of domain to define layers mapping |
|
long |
| skipLayers |
query |
- flag "0" or "1" to skip unmapped layers (default not to skip) |
|
|
Request Body
| media type |
data type |
| multipart/form-data |
(custom)
|
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessWithId
(JSON) |
json object with report about success of update operations |
GET /vectorentity/linkeddocument/{vectorentityId}
get Document for Spot
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorentityId |
path |
- entity id |
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcObjectTO
(JSON) |
JSON with information about document object this vector entity drawing is attached to |
PUT /vectorentity/order/{vectorId}
Update entities order
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorId |
path |
- id of redline drawing in which entities are to be rearranged
request must also contains json array of objects with xml snippets to be ordered
and flag toBottom showing direction of rearrangement
Example of request:
{"list":[{"snippet":"","entityId":1,"layerId":"${LayerID}"}],"toBottom":true}
|
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of ordering |
PUT /vectorentity/owner/{userId}
Update vector entities (vector shape) parameters
request must also contains json array of objects with xml snippets and
params to be updated
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| userId |
path |
|
|
long |
Request Body
| media type |
data type |
| application/json |
string
(JSON) |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
json object with report about success of update operations |
GET /drawing/entities/children/{contentId}
Get children linked to objects linked to entities structure for given drawing.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
ID of composite drawing |
|
long |
| componentId |
query |
Optional parameter, ID of component which has to be delivered
as single one, embedded in composite envelope,
to be extracted on client and merged with existing drawing |
|
long |
| linkedObjectsPerspectiveSetId |
query |
|
|
long |
| perspectiveSetId |
query |
Optional parameter, perspective set ID for getting
links between spots and parents of objects directly linked to
spots |
|
long |
| subdrawingType |
query |
Optional parameter, ID of drawingType of component which has to be delivered
as single one, embedded in composite envelope,
to be extracted on client and merged with existing drawing |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
array of HdcObjectWithOwnersTO
(JSON) |
JSON response with entities structure |
GET /drawing/entities/json/{contentId}
Get entities structure for given drawing.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
ID of composite drawing |
|
long |
| componentId |
query |
Optional parameter, ID of component which has to be delivered
as single one, embedded in composite envelope,
to be extracted on client and merged with existing drawing |
|
long |
| linkedObjectsPerspectiveSetId |
query |
|
|
long |
| perspectiveSetId |
query |
Optional parameter, perspective set ID for getting
links between spots and parents of objects directly linked to
spots |
|
long |
| subdrawingType |
query |
Optional parameter, ID of drawingType of component which has to be delivered
as single one, embedded in composite envelope,
to be extracted on client and merged with existing drawing |
|
long |
GET /drawing/layers/json/{vectorDrawingId}
Get layers for vector drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| vectorDrawingId |
path |
Vector Drawing ID |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with list of layers on given vector drawing
Example of response:
{"list":[{"layerId":"3443","layerName":"Layer1","layerStyle":"fill-opacity:1;stroke-opacity:1;stroke-width:1","isPublic":false,"isEditable":true,"ownerId":"71","ownerName":"User1","style":{"fill-opacity":"1","stroke-opacity":"1","stroke-width":"1"},"toolset":{"id":"3248","objectName":"Layer1","style":{"fill-opacity":"1","stroke-opacity":"1","stroke-width":"1"}}},{"layerId":"1","layerName":"BRA","layerStyle":"fill:none;stroke-width:0.05","isPublic":true,"isEditable":true,"ownerId":"5","ownerName":"Admin","style":{"fill":"none","stroke-width":"0.05"},"toolset":{"id":"91","objectName":"layer_BRA","style":{"fill":"none","stroke-width":"0.05"}}}]}
|
GET /drawing/preview/{contentId}/{templateId}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
|
|
long |
| templateId |
path |
|
|
long |
| contextObjects |
query |
|
|
|
| orientation |
query |
|
|
|
| papersize |
query |
|
|
long |
| psetId |
query |
|
|
long |
| showPresentationNumbers |
query |
|
0 |
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
GET /drawing/structure/json/{contentId}
Get information about structure of composite drawing
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
Composite drawing id |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with information on composite drawing's structure Example of
response:
{"children":[{"hasChildren":false,"metadata":{"units":"7"},"contentType":1,"contentId":23914}],"hasChildren":true,"metadata":{},"contentType":0,"contentId":0}
|
GET /drawing/structure-svg/json/{contentId}
Get drawing structure with svg for given drawing.
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
ID of composite drawing |
|
long |
| componentId |
query |
Optional parameter, ID of component which has to be delivered
as single one, embedded in composite envelope,
to be extracted on client and merged with existing drawing |
|
long |
| perspectiveSetId |
query |
Optional parameter, perspective set ID for getting
links between spots and parents of objects directly linked to
spots |
|
long |
| subdrawingType |
query |
Optional parameter, ID of drawingType of component which has to be delivered
as single one, embedded in composite envelope,
to be extracted on client and merged with existing drawing |
|
long |
| withEntities |
query |
optional parameter to include list of 'entites' on drawing to response
(true by default, flag introduced in release 4.7) |
true |
boolean |
Response Body
| media type |
data type |
description |
| application/json |
HdcDrawingStructureTO
(JSON) |
JSON response with svg structure |
GET /drawing/versions/json/{contentId}
Get information about composite drawing versions
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
Composite drawing id |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
ObjectHistory
(JSON) |
JSON with information on composite drawing's versions
Example of response:
{"list":[{"versionDescription":"","versionPublishDate":"2018-03-14T10:46:45.611940Z","versionOperation":"insert","operationDate":"2018-03-14T10:49:46.336744Z","versionId":"5172","isCurrent":"true","dataUserFullName":"Demo User","isMaster":"true","versionOwnerFullName":"Version Owner","versionName":"version description","versionDate":"2018-03-14T10:46:45.611940Z","dataSource":"manual input"}]}
|
GET /redline/layeractivity/activate/{layerId}
Activate passive redline layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |
GET /redline/layeractivity/disable/{layerId}
disable active redline layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |
GET /redline/layervisibility/hide/{layerId}
Hide redline layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |
GET /redline/layervisibility/setindex/{layerId}
Set visibility index for redline layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
| zindex |
query |
valoue ofg order index to be set |
0 |
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON Response indicating where operation was successfully or not |
GET /redline/layervisibility/show/{layerId}
Show hidden redline layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
layer to be set with restrictions |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response indicating where operation was successfully or not |
DELETE /redlineentity/fromlayer/{vectorId}/{layerId}
Remove all redline entities from layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
JSON with information about operation's result
{list: [{entityId: "54388", success: true}, {entityId: "54394", success: true}]} |
|
long |
| vectorId |
path |
- id of vector |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
DELETE /vectorentity/fromlayer/{vectorId}/{layerId}
Remove all vector entities from layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
JSON with information about operation's result
{list: [{entityId: "54388", success: true}, {entityId: "54394", success: true}]} |
|
long |
| vectorId |
path |
- vector id |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
|
PUT /drawing/defaultlink/{classId}/{objectId}/{entityId}
Set default link for Entity (shape)
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| classId |
path |
class ID of target object |
|
long |
| entityId |
path |
ID of entity that default link is set for |
|
|
| objectId |
path |
object ID of target object |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON information whether creation of default link was success or not |
GET /drawing/entities/json/{vectorDrawingId}/{layerId}
Get list of entities with links for given layer
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| layerId |
path |
Layer ID |
|
long |
| vectorDrawingId |
path |
Vector drawing ID |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON with list of entities
Example of response:
{"list":[{"linkedObjects":[{"entityId":"1968","classId":"108","objectId":"5201","objectName":"207","isDefault":false,"securityMask":"7"}],"entityId":"1968","sequence":65},{"linkedObjects":[{"entityId":"1969","classId":"108","objectId":"5204","objectName":"210","isDefault":false,"securityMask":"7"}],"entityId":"1969","sequence":66},{"linkedObjects":[{"entityId":"1970","classId":"108","objectId":"5205","objectName":"211","isDefault":false,"securityMask":"7"}],"entityId":"1970","sequence":67}]} |
DELETE /drawing/link/{classId}/{objectId}/{entityId}
Removes link between object and vector entity
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| classId |
path |
class ID of target object |
|
long |
| entityId |
path |
ID of entity that is being linked to |
|
|
| objectId |
path |
object ID of target object |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON Response with information, whether the deletion of link has or
has not been succeeded. |
PUT /drawing/parameters/json/{compositeId}/{units}
Update composite drawing parameter: units
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| compositeId |
path |
Composite drawing id |
|
long |
| units |
path |
number code of unit |
|
|
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON information whether changing units was a success or not |
GET /drawing/preview/structure-svg/json/{contentId}
Get drawing structure with svg for given drawing for print preview (additional optional change request vector and no post-it-notes).
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
ID of composite drawing |
|
long |
| crId |
query |
Optional parameter, ID of change request to be added to drawing |
|
long |
| perspectiveSetId |
query |
Optional parameter, perspective set ID for getting
links between spots and parents of objects directly linked to
spots |
|
long |
| printNotes |
query |
|
|
boolean |
Response Body
| media type |
data type |
description |
| application/json |
HdcDrawingStructureTO
(JSON) |
JSON response with svg structure |
POST /drawing/print/legends/{contentId}/{templateId}
Get template with legends filled according to given presentation and
context.
Example of request:
{"perspectiveId":"11","childClassId":108,"hqlCriteria":"(fi2space_function is not empty)","objects":[{"classId":128,"objectId":"51796"}]}
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
ID of composite drawing |
|
long |
| templateId |
path |
Template id for printout |
|
long |
| contextObjects |
query |
list of context objects |
|
|
| filterIds |
query |
comma-separated list of filter identifiers; e.g. 1, 2
after encoding: 1%2C+2 |
|
|
| hiddenLayers |
query |
comma-separated list of hidden layers identifiers for
each vector drawing
Example of json string with hidden layers:
Example of json:
[{ "drawingId": "213", "layers": ["720", "2", "3", "4", "494"]}, {"drawingId": "888", "layers": ["2", "3", "4", "494"]}]
|
|
|
| legendTemplId |
query |
template used to print legend in the separate page in
the case it is to long to fit in legend window on regular
prrintout |
|
long |
| presentationId |
query |
Presentation id for printout |
|
long |
| showPresentationNumbers |
query |
|
0 |
long |
| sortFiltersCode |
query |
defines the way of sorting filters in legend: 0 -
labels ascending (default), 1 - labels descending, 2 - areas
ascending, 3 - areas descending, 4 - counts ascending, 5 - counts
descending |
|
int |
Response Body
| media type |
data type |
description |
| application/json |
object
(JSON) |
JSON response with svg structure |
PUT /drawing/vector/owner/{vectorId}/{userId}
Update vectors owner
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| userId |
path |
- id of user |
|
long |
| vectorId |
path |
- id of vector |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
json object with report about success of update operations |
PUT /drawing/vectorparameters/json/{vectorId}/{units}
update vector drawing parameters - units
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| units |
path |
desired unit number code |
|
|
| vectorId |
path |
Vector drawing id |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
json response about success or failure of update operations |
PUT /drawing/viewport/json/{contentId}/{viewportId}
Update viewport name & transformation matrix
Example of request:
{"name":"filename"}
{"transform":"1.0,0.0,0.0,1.0,0.0,0.0"
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| contentId |
path |
drawing id |
|
long |
| viewportId |
path |
viewport id |
|
long |
Response Body
| media type |
data type |
description |
| application/json |
HdcSuccessTO
(JSON) |
JSON information whether changing units was a success or not |
GET /redlinenotecontent/tile/{fileId}/{level}/{col}/{row}
Get pointed raster tail
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| col |
path |
column number |
|
int |
| fileId |
path |
The unique identifier of file |
|
long |
| level |
path |
level of tailing |
|
int |
| row |
path |
row number |
|
int |
Response Body
| media type |
data type |
description |
| image/* |
object
|
Binary representation of specified raster tail |
GET /requestnotecontent/tile/{fileId}/{level}/{col}/{row}
Get pointed raster tail
Try it out!
Request Parameters
| name |
type |
description |
default |
constraints |
| col |
path |
column number |
|
int |
| fileId |
path |
The unique identifier of file |
|
long |
| level |
path |
level of tailing |
|
int |
| row |
path |
row number |
|
int |
Response Body
| media type |
data type |
description |
| image/* |
object
|
Binary representation of specified raster tail |